Skip to main content
GET
List UDF attachments
Returns the current service attachments for a UDF, with at most one attachment per service.

Permission

The API key must have the control-plane:organization:view permission.

Autorisations

Authorization
string
header
requis

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Paramètres de chemin

organizationId
string<uuid>
requis

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
requis

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$

Paramètres de requête

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
défaut:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

Plage requise: x <= 100

Réponse

Successful response.

result
object[]
requis

Current service attachments for the UDF in this page.

limit
integer
requis

Maximum number of results returned in this page.

totalCount
integer | null
requis

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
requis

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
requis

HTTP status code.

Exemple:

200

requestId
string<uuid>
requis

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
Dernière modification le 3 octobre 2026